locked
problem with .net core 2.2.3 web app on Azure RRS feed

  • Question

  • Hi, I tried uploading some installation files for a NopCommerce site, and the site would not load. The error i got was  this:

    An assembly specified in the application dependencies manifest (Nop.Web.deps.json) was not found:

        package: 'runtime.win-x64.Microsoft.NETCore.App', version: '2.2.3'
        path: 'runtimes/win-x64/native/api-ms-win-crt-private-l1-1-0.dll'

    Previous to that I also tried installing NopCommerce from the Azure marketplace installation page and that didn't work either. Can you help?

    Thanks

    Tuesday, October 15, 2019 3:51 PM

All replies

  • Which region are you deploying it to and which app tier? I just tested it out in a US Central and West Europe region with the marketplace template on a Basic and Standard tier and it works fine.

    From the error it seems that the .Net core version is missing which should be surprising as the version 2.2 is being supported since January 2019


    Rahber
    @Rahber

    Wednesday, October 16, 2019 6:31 AM
  •  You can keep track on the latest releases on the ASP.NET Core on App Service Dashboard

    Please remember to mark the replies as answers if they help and unmark them if they provide no help, this will help others who are looking for solutions to the same or similar problem. profile for Sajeetharan at Stack Overflow, Q&A for professional and enthusiast programmers www.sajeetharan.com

    Wednesday, October 16, 2019 6:44 AM
  • UK South on a free/basic tier
    Wednesday, October 16, 2019 11:07 AM
  • iand109, are you the same person as the original poster but under a different account or are you a different user having the same issue?

    My UK South free app shows support for .net core 2.2 as a runtime. You can verify this by viewing https://sitename.scm.azurewebsites.net/api/diagnostics/runtime and replacing sitename with the name of your app.

    Please let us know your reply so we can assist further.

    Thursday, October 17, 2019 8:15 AM
    Owner
  • Hi yes same user, sorry it must have logged me in with a different account - but yes my app service is on .net core 2.2
    Thursday, October 17, 2019 8:46 AM
  • I get the feeling this is likely an issue with the dependencies within your project, which we will have limited insight into. At the same time, we want to ensure this is not being caused by the platform. Can you please reach out to us at azcommunity@microsoft.com with your subscription ID and the URL of this post so we can ensure the platform is not causing the issue? We look forward to your reply.
    Thursday, October 17, 2019 8:50 AM
    Owner